function do_counters() {
	var n=0;
	for (var r=0;r<10;r++) {
		var t=0;
		for (var c=0;c<10;c++) {
			var a=get_a(r,c);
			if (a!=7) t++;
		}
		var el=document.getElementById('n'+n);
		el.textContent=t;
		n++;
	}
	for (var c=0;c<10;c++) {
		var t=0;
		for (var r=0;r<10;r++) {
			var a=get_a(r,c);
			if (a!=7) t++;
		}
		var el=document.getElementById('n'+n);
		el.textContent=t;
		n++;
	}
}

